<?php
    if(!isset($fdhi) || !($fdhi instanceof feedHiClass))
        $fdhi = new feedHiClass();
    
    $url = $fdhi->getUrlSitio();
    
    $perfil = $fdhi->getProfile();
    
    $myBlogAdded = false;
    
    add_action('wp_enqueue_style', $fdhi->feedHiStylesheet());
    add_action('wp_enqueue_scripts', $fdhi->feedHiScripts());
    add_action('admin_footer', $fdhi->feedhi_my_vars());
    
    if(isset($_REQUEST['sub'])) {
        if($_REQUEST['sub']=='callbackregister' || $_REQUEST['sub']=='callbacklink') {
            include('actions.php');
        } else if($_REQUEST['sub']=='register' || $_REQUEST['sub']=='link') {
            include('register.php');
        }
        die();
    }
    
?>

        <div id="contenedor">
                <!-- div principal que muestra los anuncios, ajustes y vista previa  -->
                <div id="feedhi_main_tbl" class="wrap">
                    <h1>feedHi 4WP v<?php echo get_option('feedhi_version');?></h1>
                    <?php if(get_option('feedhi_user')) { ?>
                        <div id="blog" class="widget-liquid-left">
                            <h3><?php echo t('conecta_blog_con_feedHi');?></h3>
                            <?php $blogs = $fdhi->getBlogs(); ?>
                            <?php if(!empty($blogs)) { ?>
                                <p><?php echo t('configura_tus_blogs');?><br/>
                                    <span class="dashicons dashicons-welcome-comments wp-ui-text-notification"></span> <?php echo t('indica_categorias_no_aprobados');?><br/>
                                    <span class="dashicons dashicons-awards attention"></span> <?php echo t('validados_comenzaran_compartir');?><br/>
                                    <b><?php echo t('compartir');?></b>: <?php echo t('indica_compartir_o_publicar');?><br/>
                                    <b>Hashtag</b>: <?php echo t('indica_hashtag');?></p>
                                <table>
                                    <tr>
                                        <th>&nbsp;</th>
                                        <th><?php echo t('nombre');?></th>
                                        <th>RSS</th>
                                        <th><?php echo t('categoria');?></th>
                                        <th>Hashtag</th>
                                        <th><?php echo t('compartir');?></th>
                                    </tr>
                                <?php foreach($blogs as $blog) { ?>
                                    <?php if($blog->rss==get_bloginfo('rss_url')) $myBlogAdded = true; ?>
                                    <tr class="blog_row" data-blog="<?php echo $blog->id;?>">
                                        <td><span class="dashicons dashicons-<?php echo ($blog->locked?'awards attention':'welcome-comments wp-ui-text-notification');?>" title="<?php echo ($blog->locked?t('aprobado'):t('pendiente'));?>"></span></td>
                                        <td><a href="<?php echo $blog->url;?>" target="_blank"><?php echo $blog->name; ?></a></td>
                                        <td><a href="<?php echo $blog->rss; ?>" target="_blank"><span class="dashicons dashicons-rss"></span></a></td>
                                        <td>
                                            <?php
                                            if($blog->locked) {
                                                echo $blog->category->name;
                                            } else {
                                                if(!$blog->locked) {
                                                    if(!isset($cats)) $cats = $fdhi->getCategories();
                                                }
                                                echo '<select onchange="javascript:setBlogCategory(jQuery(this));" class="widefat">';
                                                    echo '<option '.(!$blog->category->id?'selected ':'').'value="0">=======</option>';
                                                foreach($cats as $c) {
                                                    echo '<option '.($c->id==$blog->category->id?'selected ':'').'value="'.$c->id.'">'.$c->name.'</option>';
                                                }
                                                echo '</select>';
                                            }
                                            ?>
                                        </td>
                                        <td><input type="text" value="<?php echo $blog->hashtag; ?>" onchange="javascript:setBlogHashtag(jQuery(this));" class="widefat"/></td>
                                        <td><select onchange="javascript:setBlogMode(jQuery(this));" class="widefat">
                                            <option <?php if($blog->share==0) echo 'selected ';?>value="0"><?php echo t('no');?></option>
                                            <option <?php if($blog->share==1) echo 'selected ';?>value="1"><?php echo t('si');?></option>
                                        </select></td>
                                    </tr>
                                <?php } ?>
                                </table><br/><br/>
                            <?php } ?>
                            <?php if($myBlogAdded==false) {?>
                                <button id="btn_blog_connect" class="button button-primary" onclick="javascript:sendBlog();"><?php echo t('click_conectar_blog');?></button>
                            <?php }?>
                        </div>
                        
                        <div class="widget-liquid-right">
                            <div id="widgets-right">
                                <div id="redes" class="sidebars-column-1">
                                    <h3><?php echo t('conecta_redes_sociales');?></h3>
                                    <table>
                                        <tr>
                                            <th><?php echo t('red');?></th>
                                            <th>&nbsp;</th>
                                            <th><?php echo t('usuario');?></th>
                                            <th><?php echo t('estado');?></th>
                                        </tr>
                                        <tr>
                                            <?php if(is_object($perfil->networks->{0})) {?>
                                            <td><img src="<?php echo $fdhi->getUrlSitio().'img/T_TWITTER.png';?>" alt="<?php echo $perfil->networks->{0}->network;?>" title="<?php echo $perfil->networks->{0}->network;?>" style="height:24px; height: 24px;"/></td>
                                            <td><?php echo $perfil->networks->{0}->icon;?></td>
                                            <td><?php echo truncate($perfil->networks->{0}->user_name,20);?></td>
                                            <td><?php echo t('conectado');?></td>
                                            <?php } else {?>
                                            <td><a href="javascript:void(0);" onclick="javascript:fh_link('Twitter');"><img src="<?php echo $fdhi->getUrlSitio().'img/T_TWITTER.png';?>" style="height:24px; height: 24px;"/></a></td>
                                            <td>&nbsp;</td>
                                            <td>---</td>
                                            <td><?php echo t('desconectado');?></td>
                                            <?php } ?>
                                        </tr>
                                        <tr>
                                            <?php if(is_object($perfil->networks->{1})) {?>
                                            <td><img src="<?php echo $fdhi->getUrlSitio().'img/T_FACE.png';?>" alt="<?php echo $perfil->networks->{1}->network;?>" title="<?php echo $perfil->networks->{1}->network;?>" style="height:24px; height: 24px;"/></td>
                                            <td><?php echo $perfil->networks->{1}->icon;?></td>
                                            <td><?php echo truncate($perfil->networks->{1}->user_name,20);?></td>
                                            <td><?php echo t('conectado');?></td>
                                            <?php } else {?>
                                            <td><a href="javascript:void(0);" onclick="javascript:fh_link('Facebook');"><img src="<?php echo $fdhi->getUrlSitio().'img/T_FACE.png';?>" style="height:24px; height: 24px;"/></a></td>
                                            <td>&nbsp;</td>
                                            <td>---</td>
                                            <td><?php echo t('desconectado');?></td>
                                            <?php } ?>
                                        </tr>
                                        <tr>
                                            <?php if(is_object($perfil->networks->{2})) {?>
                                            <td><img src="<?php echo $fdhi->getUrlSitio().'img/T_LINKEDIN.png';?>" alt="<?php echo $perfil->networks->{2}->network;?>" title="<?php echo $perfil->networks->{2}->network;?>" style="height:24px; height: 24px;"/></td>
                                            <td><?php echo $perfil->networks->{2}->icon;?></td>
                                            <td><?php echo truncate($perfil->networks->{2}->user_name,20);?></td>
                                            <td><?php echo t('conectado');?></td>
                                            <?php } else {?>
                                            <td><a href="javascript:void(0);" onclick="javascript:fh_link('Linkedin');"><img src="<?php echo $fdhi->getUrlSitio().'img/T_LINKEDIN.png';?>" style="height:24px; height: 24px;"/></a></td>
                                            <td>&nbsp;</td>
                                            <td>---</td>
                                            <td><?php echo t('desconectado');?></td>
                                            <?php } ?>
                                        </tr>
                                        <tr>
                                            <?php if(is_object($perfil->networks->{5})) {?>
                                            <td><img src="<?php echo $fdhi->getUrlSitio().'img/T_VK.png';?>" alt="<?php echo $perfil->networks->{5}->network;?>" title="<?php echo $perfil->networks->{5}->network;?>" style="height:24px; height: 24px;"/></td>
                                            <td><?php echo $perfil->networks->{5}->icon;?></td>
                                            <td><?php echo truncate($perfil->networks->{5}->user_name,20);?></td>
                                            <td><?php echo t('conectado');?></td>
                                            <?php } else {?>
                                            <td><a href="javascript:void(0);" onclick="javascript:fh_link('Vk');"><img src="<?php echo $fdhi->getUrlSitio().'img/T_VK.png';?>" style="height:24px; height: 24px;"/></a></td>
                                            <td>&nbsp;</td>
                                            <td>---</td>
                                            <td><?php echo t('desconectado');?></td>
                                            <?php } ?>
                                        </tr>
                                    </table>
                                    <?php
                                    $pa0 = (is_object($perfil->networks->{0}) && $perfil->networks->{0}->pub_mode==0)?1:0;
                                    $pa1 = (is_object($perfil->networks->{1}) && $perfil->networks->{1}->pub_mode==0)?1:0;
                                    $pa2 = (is_object($perfil->networks->{2}) && $perfil->networks->{2}->pub_mode==0)?1:0;
                                    $pa5 = (is_object($perfil->networks->{5}) && $perfil->networks->{5}->pub_mode==0)?1:0;
                                    if($pa0 || $pa1 || $pa2 || $pa5) {
                                        $pubAuto = true;
                                    } else {
                                        $pubAuto = false;
                                    }
                                    ?>
                                </div>
                                <div id="grupos" class="sidebars-column-2">
                                    <h3><?php echo t('comparte_noticias_grupos');?></h3>
                                    <p><?php echo t('unete_grupos_feedhi');?></p>
                                    <?php
                                    if(!isset($cats)) $cats = $fdhi->getCategories();
                                    ?>
                                    <?php echo t('categoria');?><br/>
                                    <select id="feedhi_cats" onchange="javascript:filterGroups();" class="widefat">
                                        <option value="0">=======</option>
                                    <?php foreach($cats as $c) { ?>
                                        <option value="<?php echo $c->id;?>"><?php echo $c->name;?></option>
                                    <?php } ?>
                                                                        
                                    ?>
                                    </select><br/><br/>
                                    <?php echo t('grupo');?><br/>
                                    <select id="feedhi_groups" class="widefat">
                                        <option value="0">=======</option>
                                    </select>
                                    <br/><br/>
                                    <button id="button_join_group" class="button button-primary" onclick="javascript:joinGroup();"><?php echo t('unirte_al_grupo');?></button>
                                    <br/><br/>
                                    <?php $grupos = $fdhi->getGroups(); ?>
                                    <?php if(count($grupos)>0) { ?>
                                    <hr/>
                                    <h3><?php echo t('tus_grupos');?></h3>
                                    <table>
                                        <tr>
                                            <th>&nbsp;</th>
                                            <th><?php echo t('nombre');?></th>
                                            <th><?php echo t('categoria');?></th>
                                            <th><?php echo t('miembros');?></th>
                                            <th>&nbsp;</th>
                                        </tr>
                                        <?php foreach($grupos as $g) { ?>
                                        <tr id="row_group<?php echo $g->id;?>">
                                            <td><a id="b_leave_<?php echo $g->id;?>" href="javascript:void(0);" onclick="javascript:leaveGroup(<?php echo $g->id;?>);"><span class="dashicons dashicons-trash"></span></a></td>
                                            <td><?php echo truncate($g->name,20);?></td>
                                            <td><?php echo truncate($g->category->name,20);?></td>
                                            <td><?php echo $g->members;?></td>
                                            <td><span class="dashicons dashicons-<?php if($g->can_share) echo 'yes'; else echo 'no';?>" title="<?php if($g->can_share) echo t('noticias_se_comparten'); else echo t('noticias_no_se_comparten');?>"></span></td>
                                        </tr>
                                        <?php } ?>
                                    </table>
                                    <p><?php echo t('grupos_hay_usuarios_mismas_categorias');?> <?php echo t('te_gustaria_publicar');?></p>
                                    <select id="button_pub_mode" onchange="javascript:changePubMode(jQuery(this));">
                                        <option <?php if($pubAuto) echo 'selected ';?>value="0"><?php echo t('si');?></option>
                                        <option <?php if(!$pubAuto) echo 'selected ';?>value="1"><?php echo t('no');?></option>
                                    </select>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                        
                        <div class="clearer"></div>
                        <div id="fdhi_footer">
                            <p><?php echo t('puedes_acceder_mas_configuraciones_en');?> <a href="http://feedhi.com" target="_blank">feedhi.com</a><br/>
                            <?php echo t('accede_cuenta_red_social');?></p>
                        </div>
                        
                        <?php
/*    if(isset($perfil->errorcode)) {
        //Desregistrar
        update_option("feedhi_user", "");
    }*/
                        ?>

                    <?php } else { ?>
                        <p><?php echo t('hace_noticias_blog_redes_sociales');?>
                        <?php echo t('pero_tambien_publicadas_otros_usuarios');?>
                        <?php echo t('consigues_trafico_calidad_reputacion_online');?></p> 
                        <p><?php echo t('para_comenzar_anadir_cuenta');?> <?php echo t('si_no_cuenta_crear_una_nueva');?></p>
                        <p><?php echo t('inicia_sesion_red_social');?></p>
                        <div class="center">
                            <a href="javascript:void(0);" onclick="javascript:fh_register('Twitter');"><img src="<?php echo $url;?>img/T_TWITTER.png"/></a>
                            <a href="javascript:void(0);" onclick="javascript:fh_register('Facebook');"><img src="<?php echo $url;?>img/T_FACE.png"/></a>
                            <a href="javascript:void(0);" onclick="javascript:fh_register('Linkedin');"><img src="<?php echo $url;?>img/T_LINKEDIN.png"/></a>
                            <a href="javascript:void(0);" onclick="javascript:fh_register('Vk');"><img src="<?php echo $url;?>img/T_VK.png"/></a>
                        </div>
                        <br/>
                        <?php echo t('disclaimer');?>
                    <?php } ?>
                </div> <!-- fin div id=feedhi_main_tbl -->
        </div>   <!-- contenedor -->  
