<?php

if(isset($fdhi) && $fdhi instanceof feedHiClass) {
    $getLang = $fdhi->getLang();
    $feedhi_current_lang = (isset($getLang->errorcode))?userNav():$getLang->lang;
} else {
    $feedhi_current_lang = userNav();
}

$feedhi_langs = array(
    'conecta_blog_con_feedHi' => array(
        'es_ES' => 'Conecta tu blog con feedHi',
        'en_US' => 'Connect your blog with feedHi',
    ),
    'click_conectar_blog' => array(
        'es_ES' => 'Haz click aquí para conectar tu blog',
        'en_US' => 'Click here for connect your blog',
    ),
    'configura_tus_blogs' => array(
        'es_ES' => '¡Configura tu(s) blog(s)!',
        'en_US' => 'Set up your blog(s)!',
    ),
    'indica_categorias_no_aprobados' => array(
        'es_ES' => 'Indica la categoría de los que aún no han sido aprobados.',
        'en_US' => 'Indicate the category of those who have not yet been approved.',
    ),
    'validados_comenzaran_compartir' => array(
        'es_ES' => 'En cuanto tu blog esté validado tus noticias comenzarán a compartirse en las redes sociales.',
        'en_US' => 'Once your blog is validated your news will be shared on social networks.',
    ),
    'compartir' => array(
        'es_ES' => 'Compartir',
        'en_US' => 'Share',
    ),
    'indica_compartir_o_publicar' => array(
        'es_ES' => 'Indica si quieres compartir tus noticias con otros usuarios para que sean publicadas por más personas, o si prefieres publicarlas sólo tú.',
        'en_US' => 'Indicate if you want to share your news with other users or if you prefer to publish them only yourself.',
    ),
    'indica_hashtag' => array(
        'es_ES' => 'Si quieres que tus noticias se publiquen en las redes sociales con un hashtag (ej: #miblog) indica el que quieras para cada blog.',
        'en_US' => 'Type a hashtag (eg: #myblog) if you want your news be published in social networks with it.',
    ),
    'nombre' => array(
        'es_ES' => 'Nombre',
        'en_US' => 'Name',
    ),
    'categoria' => array(
        'es_ES' => 'Categoría',
        'en_US' => 'Category',
    ),
    'aprobado' => array(
        'es_ES' => 'Aprobado!!',
        'en_US' => 'Approved!!',
    ),
    'pendiente' => array(
        'es_ES' => 'Pendiente de aprobación',
        'en_US' => 'Pending approval',
    ),
    'si' => array(
        'es_ES' => 'Sí',
        'en_US' => 'Yes',
    ),
    'no' => array(
        'es_ES' => 'No',
        'en_US' => 'No',
    ),
    'conecta_redes_sociales' => array(
        'es_ES' => 'Conecta tus redes sociales',
        'en_US' => 'Connect your social networks',
    ),
    'red' => array(
        'es_ES' => 'Red',
        'en_US' => 'Network',
    ),
    'usuario' => array(
        'es_ES' => 'Usuario',
        'en_US' => 'User',
    ),
    'estado' => array(
        'es_ES' => 'Estado',
        'en_US' => 'Status',
    ),
    'conectado' => array(
        'es_ES' => 'Conectado',
        'en_US' => 'Connected',
    ),
    'desconectado' => array(
        'es_ES' => 'Desconectado',
        'en_US' => 'Disconnected',
    ),
    'comparte_noticias_grupos' => array(
        'es_ES' => 'Comparte noticias en grupos',
        'en_US' => 'Share your news in groups',
    ),
    'unete_grupos_feedhi' => array(
        'es_ES' => 'Únete a los grupos de feedHi para que otros usuarios publiquen las noticias de tus blogs y obtendrás más tráfico.',
        'en_US' => 'Join to feedHi groups for other users publish news from your blog and get more traffic.',
    ),
    'grupo' => array(
        'es_ES' => 'Grupo',
        'en_US' => 'Group',
    ),
    'unirte_al_grupo' => array(
        'es_ES' => 'Unirte al grupo',
        'en_US' => 'Join to group',
    ),
    'tus_grupos' => array(
        'es_ES' => 'Tus grupos',
        'en_US' => 'Your groups',
    ),
    'miembros' => array(
        'es_ES' => 'Miembros',
        'en_US' => 'Members',
    ),
    'noticias_se_comparten' => array(
        'es_ES' => 'Tus noticias se comparten en este grupo',
        'en_US' => 'Your news can be shared with this group',
    ),
    'noticias_no_se_comparten' => array(
        'es_ES' => 'Tus noticias no se comparten en este grupo',
        'en_US' => 'Your news cannot be shared with this group',
    ),
    'grupos_hay_usuarios_mismas_categorias' => array(
        'es_ES' => 'En tus grupos hay usuarios que generan noticias de las mismas categorías.',
        'en_US' => 'Your groups have users who generate news with the same categories.',
    ),
    'te_gustaria_publicar' => array(
        'es_ES' => '¿Te gustaría publicar en tus redes sociales las noticias de esos usuarios?',
        'en_US' => 'Would you like publish their news in your social networks?',
    ),
    'puedes_acceder_mas_configuraciones_en' => array(
        'es_ES' => 'Puedes acceder a más configuraciones y funcionalidades en',
        'en_US' => 'You can get more features and configurations at',
    ),
    'accede_cuenta_red_social' => array(
        'es_ES' => 'Accede a tu cuenta haciendo login con tu red social.',
        'en_US' => 'Login with your social network.',
    ),
    'hace_noticias_blog_redes_sociales' => array(
        'es_ES' => 'feedHi 4WP hace que las noticias de tu blog vayan automáticamente a tus redes sociales.',
        'en_US' => 'feedHi 4WP makes the news of your blog automatically go to your social networks.',
    ),
    'pero_tambien_publicadas_otros_usuarios' => array(
        'es_ES' => 'Pero también hace que sean publicadas por otros usuarios interesados en el tema del que trata tu blog.',
        'en_US' => 'But also it makes them posted by others interested in the subject of your blog.',
    ),
    'consigues_trafico_calidad_reputacion_online' => array(
        'es_ES' => 'Con ello consigues tráfico de calidad, interesado en tus contenidos y al mismo tiempo reputación online.',
        'en_US' => 'Thereby get quality traffic interested in your content and online reputation.',
    ),
    'para_comenzar_anadir_cuenta' => array(
        'es_ES' => 'Para comenzar necesitas añadir tu cuenta de feedHi.',
        'en_US' => 'To start you need to add your feedHi account.',
    ),
    'si_no_cuenta_crear_una_nueva' => array(
        'es_ES' => 'Si aún no tienes cuenta en feedhi.com se te creará una cuenta gratuita que podrás utilizar tanto desde este plugin como desde <a href="http://feedhi.com/" target="_blank">feedhi.com</a>.',
        'en_US' => 'If you have not an account at feedhi.com, a new free one will be created. You could use it from this plugin and also at <a href="http://feedhi.com/" target="_blank">feedhi.com</a>.',
    ),
    'inicia_sesion_red_social' => array(
        'es_ES' => 'Inicia sesión con tu red social:',
        'en_US' => 'Sign in with your social network:',
    ),
    'disclaimer' => array(
        'es_ES' => 'Si haces click en los iconos de las redes sociales para completar tu registro,
                        estarás aceptando las <a href="http://feedhi.com/normas-de-uso/" target="_blank">Normas de uso</a>
                        y los <a href="http://feedhi.com/aviso-legal/" target="_blank">Términos legales</a> de <a href="http://feedhi.com/" target="_blank">feedhi.com</a>.',
        'en_US' => 'If you make click on the social network icons for complete your registration,
                        you accept the <a href="http://feedhi.com/normas-de-uso/" target="_blank">Terms of use</a>
                        and the <a href="http://feedhi.com/aviso-legal/" target="_blank">Legal conditions</a> of <a href="http://feedhi.com/" target="_blank">feedhi.com</a>.',
    ),
    'registro_completado' => array(
        'es_ES' => 'Registro completado',
        'en_US' => 'Registration completed',
    ),
    'registro_completado_correctamente' => array(
        'es_ES' => 'Tu registro se ha completado correctamente.',
        'en_US' => 'Your registration has been successfylly completed.',
    ),
    'vinculacion_completada' => array(
        'es_ES' => 'Vinculación completada',
        'en_US' => 'Linking completed',
    ),
    'unido_cuenta_correctamente' => array(
        'es_ES' => 'Has unido tu cuenta correctamente.',
        'en_US' => 'You have successfully joined your account.',
    ),
    'aceptar' => array(
        'es_ES' => 'Aceptar',
        'en_US' => 'Accept',
    ),
    'registro_en_feedhi' => array(
        'es_ES' => 'Registro en feedhi.com',
        'en_US' => 'Registration at feedhi.com',
    ),
    'register_disclaimer' => array(
        'es_ES' => 'Deseo registrarme en feedhi.com utilizando mi cuenta de %s y acepto
            sus <a href="http://feedhi.com/normas-de-uso/" target="_blank">Normas de uso</a>
            y sus <a href="http://feedhi.com/aviso-legal/" target="_blank">Condiciones legales</a>.',
        'en_US' => 'I wish register myself at feedhi.com throught my %s account and I accept
            the <a href="http://feedhi.com/normas-de-uso/" target="_blank">terms of use</a>
            and the <a href="http://feedhi.com/aviso-legal/" target="_blank">legal conditions</a>.',
    ),
    'link_disclaimer' => array(
        'es_ES' => 'Deseo vincular mi cuenta de %s a feedhi.com y acepto
            sus <a href="http://feedhi.com/normas-de-uso/" target="_blank">Normas de uso</a>
            y sus <a href="http://feedhi.com/aviso-legal/" target="_blank">Condiciones legales</a>.',
        'en_US' => 'I wish join my %s account to feedhi.com and I accept
            the <a href="http://feedhi.com/normas-de-uso/" target="_blank">terms of use</a>
            and the <a href="http://feedhi.com/aviso-legal/" target="_blank">legal conditions</a>.',
    ),
    'por_favor_grupo' => array(
        'es_ES' => 'Por favor, selecciona un grupo.',
        'en_US' => 'Please, select a group.',
    ),
); 