function put_spinner_on(obj,min)
{
	var spinner,
		height = obj.height();
	if(undefined===min) {
		spinner = jQuery("<span>").attr('id','feedhi_spinner');
	} else {
		spinner = jQuery("<div>").attr('id','feedhi_spinner');
		if(min > height) height = min;
		spinner.css("height",height+"px");
	}
	spinner.html("<img src='"+plugin_url+"img/loader.gif' alt='Loading...' style='margin-top:"+((height-16)/2)+"px;'/>");
	obj.after(spinner);
}
function put_spinner_off() {
	jQuery("#feedhi_spinner").remove();
}

function fh_register(s) {
	fh_connect(s,'register');
}
function fh_link(s) {
	fh_connect(s,'link');
}

function fh_connect(s,mode) {
    switch(s) {
        case 'Facebook': alto=900; ancho=500;break;
        case 'Twitter': alto=500; ancho=500;break;
        case 'Linkedin': alto=700; ancho=400;break;
        case 'Vk': alto=630; ancho=665;break;
        default:return false;
    }
    //TODO
    url = blog_url+'/wp-admin/admin.php?page=feedhi-settings&sub='+mode+'&svc='+s;
    window.open(url, 'popUpWindow','height='+alto+', width='+ancho+', left=300, top=100, resizable=yes, scrollbars=no, toolbar=no, menubar=no, location=no, directories=no, status=no');
}

function disclaimer() {
    if(checkdisclaimer()) {
        jQuery("#publish").attr('disabled',false);
    } else {
        jQuery("#publish").attr('disabled',true);
    }
}

function checkdisclaimer() {
    if(jQuery("#acepto").is(':checked')) {
        return true;
    } else {
        return false;
    }
}

function sendBlog() {
	put_spinner_on(jQuery("#btn_blog_connect"));
    jQuery.ajax({
        url: ajaxurl,
        type: 'POST',
        dataType: 'json',
        data: {action: 'fh_callback',mode:'sendblog'},
        success: function(res) {
        	put_spinner_off();
            if(res.errorcode) {
                alert(res.errortext);
            } else {
            	location.reload();
            }
        }
    });
}

function setBlogCategory(obj) {
	var id = obj.parents("tr.blog_row").attr('data-blog');
	setBlog(id,'category',obj.val());
	put_spinner_on(obj);
}
function setBlogHashtag(obj) {
	var id = obj.parents("tr.blog_row").attr('data-blog');
	setBlog(id,'hashtag',obj.val());
	put_spinner_on(obj);
}
function setBlogMode(obj) {
	var id = obj.parents("tr.blog_row").attr('data-blog');
	setBlog(id,'share',obj.val());
	put_spinner_on(obj);
}
function setBlog(id,attr,val) {
    jQuery.ajax({
        url: ajaxurl,
        type: 'POST',
        dataType: 'json',
        data: {action: 'fh_callback',mode:'setblog',id:id,attr:attr,val:val},
        success: function(res) {
			put_spinner_off();
			console.log(res);
            if(res.errorcode) {
                alert(res.errortext);
            }
        },
        error: function(error) {
        	console.log(error);
        }
    });
}
function filterGroups() {
	var cat = jQuery("#feedhi_cats").val();
	put_spinner_on(jQuery("#feedhi_groups"));
    jQuery.ajax({
        url: ajaxurl,
        type: 'POST',
        dataType: 'json',
        data: {action: 'fh_callback',mode:'grouplist',id:cat},
        success: function(res) {
        	put_spinner_off();
            if(res.errorcode) {
                alert(res.errortext);
            } else {
            	jQuery("#feedhi_groups").html('<option value="0">=======</option>');
            	for(i=0;i<res.length;i++) {
            		var o = jQuery("<option>").attr('value',res[i].id).html(res[i].name);
            		jQuery("#feedhi_groups").append(o);
            	}
            }
        }
    });
}
function joinGroup() {
	var id = jQuery("#feedhi_groups").val();
	if(!id) {
		alert(please);
		return false;
	}
	put_spinner_on(jQuery("#button_join_group"));
    jQuery.ajax({
        url: ajaxurl,
        type: 'POST',
        dataType: 'json',
        data: {action: 'fh_callback',mode:'joingroup',id:id},
        success: function(res) {
        	put_spinner_off();
            if(res.errorcode) {
                alert(res.errortext);
            } else {
            	location.reload();
            }
        }
    });
}
function leaveGroup(id) {
	put_spinner_on(jQuery("#b_leave_"+id));
    jQuery.ajax({
        url: ajaxurl,
        type: 'POST',
        dataType: 'json',
        data: {action: 'fh_callback',mode:'leavegroup',id:id},
        success: function(res) {
        	put_spinner_off();
            if(res.errorcode) {
                alert(res.errortext);
            } else {
            	jQuery("#row_group"+id).remove();
            }
        }
    });
}

function changePubMode(o) {
	put_spinner_on(jQuery("#button_pub_mode"));
    jQuery.ajax({
        url: ajaxurl,
        type: 'POST',
        dataType: 'json',
        data: {action: 'fh_callback',mode:'setpubmode',val:o.val()},
        success: function(res) {
        	put_spinner_off();
            if(res.errorcode) {
                alert(res.errortext);
            }
        }
    });
}
